[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TCustomDBGrid.DrawIndicator

Draws the row indicator for the grid control with cues for dataset and multi-selection state.

## Declaration

Source position: dbgrids.pas line 449

`protected procedure TCustomDBGrid.DrawIndicator(`
`ACanvas: TCanvas;`
`R: TRect;`
`Opt: TDataSetState;`
`MultiSel: Boolean`
`); virtual;`

## Arguments

`ACanvas` |  | Canvas for the control where the row indicator is drawn.
`R` |  | Cell rectangle where the row indicator is drawn.
`Opt` |  | Current TDataSetState value representing the state for the dataset.
`MultiSel` |  | True if multi-selection is enabled for the grid control.

## Description

DrawIndicator is a method used to draw the row indicator for the grid control. The row indicator is a marker which identifies the current row selected in the grid control. It may also indicate the current dataset and multi-selection states as passed in the Opt and MultiSel arguments.